
local directory = g_currentModDirectory
local modName = g_currentModName
local specName = modName..".extendedSelling"
if g_specializationManager:getSpecializationByName("extendedSelling") == nil then
	g_specializationManager:addSpecialization("extendedSelling", "extendedSelling", directory.."extendedSelling.lua", nil)
end
for typeName, typeEntry in pairs(g_vehicleTypeManager.types) do
	if typeEntry ~= nil and typeName ~= "locomotive" and typeName ~= "trainTrailer" and typeName ~= "trainTimberTrailer" and typeName ~= "conveyorBelt" then
		if SpecializationUtil.hasSpecialization(AnimatedVehicle, typeEntry.specializations) then
			g_vehicleTypeManager:addSpecialization(typeName, specName)
		end
	end
end
local function onMissionLoaded(mission)
	if mission.cancelLoading then return end
	extendedSelling:ess_hourChanged()
end
Mission00.onStartMission = Utils.appendedFunction(Mission00.onStartMission, onMissionLoaded)